# template: foreman_plugin
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global foreman_min_version 3.5
%global foreman_max_version 3.6
%global plugin_name katello
%global gem_name katello
%global mainver 4.7.0.31
%global release 1

Name:    %{?scl_prefix}rubygem-%{gem_name}
Summary: Content and Subscription Management plugin for Foreman

Version: %{mainver}
Release: %{?prerelease:0.}%{release}%{?prerelease}%{?nightly}%{?dist}
Group:   Applications/Systems
License: GPLv2
URL:     https://theforeman.org/plugins/katello
Source0: https://satellite.sat.engineering.redhat.com/pulp/content/Satellite_Engineering/Library/custom/Satellite_6_13_Composes/Satellite_6_13_Source_Files/%{gem_name}-%{version}%{?prerelease}.gem

Requires: foreman-postgresql
Requires: foreman < %{foreman_max_version}
# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
Requires: ruby >= 2.5
Requires: ruby < 3
BuildRequires: foreman-assets >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
Requires: ruby >= 2.5
Requires: ruby < 3
BuildRequires: ruby >= 2.5
BuildRequires: ruby < 3
BuildRequires: rubygems-devel > 1.3.1
BuildArch: noarch
Provides: foreman-plugin-%{plugin_name} = %{version}
BuildRequires: rubygem(rails)
BuildRequires: rubygem(json)
BuildRequires: rubygem(oauth)
BuildRequires: rubygem(rest-client)
BuildRequires: rubygem(rabl)
BuildRequires: rubygem(foreman-tasks) >= 5.0
BuildRequires: rubygem(foreman_remote_execution) >= 7.1.0
BuildRequires: rubygem(dynflow) >= 1.6.1
BuildRequires: rubygem(activerecord-import)
BuildRequires: rubygem(qpid_proton)
BuildRequires: rubygem(stomp)
BuildRequires: rubygem(scoped_search) >= 4.1.9
BuildRequires: rubygem(gettext_i18n_rails)
BuildRequires: rubygem(apipie-rails) >= 0.5.14
BuildRequires: rubygem(fx) < 1.0
BuildRequires: rubygem(pg)
BuildRequires: rubygem(runcible) >= 2.13.0
BuildRequires: rubygem(runcible) < 3.0.0
BuildRequires: rubygem(anemone)
BuildRequires: rubygem(pulpcore_client) >= 3.21.0
BuildRequires: rubygem(pulpcore_client) < 3.22.0
BuildRequires: rubygem(pulp_file_client) >= 1.11.0
BuildRequires: rubygem(pulp_file_client) < 1.12
BuildRequires: rubygem(pulp_ansible_client) >= 0.15.0
BuildRequires: rubygem(pulp_ansible_client) < 0.16
BuildRequires: rubygem(pulp_container_client) >= 2.14.0
BuildRequires: rubygem(pulp_container_client) < 2.15.0
BuildRequires: rubygem(pulp_deb_client) >= 2.20.0
BuildRequires: rubygem(pulp_deb_client) < 2.21
BuildRequires: rubygem(pulp_rpm_client) >= 3.18.0
BuildRequires: rubygem(pulp_rpm_client) < 3.19.0
BuildRequires: rubygem(pulp_certguard_client) < 2.0
BuildRequires: rubygem(pulp_python_client) >= 3.7.2
BuildRequires: rubygem(pulp_python_client) < 3.8
BuildRequires: rubygem(pulp_ostree_client)
BuildRequires: rubygem(deface) >= 1.0.2
BuildRequires: rubygem(deface) < 2.0.0
BuildRequires: rubygem(angular-rails-templates) >= 1.1.0
BuildRequires: rubygem(angular-rails-templates) < 1.2
# end specfile generated dependencies
Obsoletes: %{?scl_prefix}rubygem-%{gem_name}_ostree
Obsoletes: %{?scl_prefix}rubygem-pulp_2to3_migration_client
Obsoletes: %{?scl_prefix}rubygem-bastion
%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}

# start package.json devDependencies BuildRequires
BuildRequires: npm(@theforeman/builder) >= 6.0.0
# end package.json devDependencies BuildRequires
# start package.json dependencies BuildRequires
BuildRequires: npm(angular) = 1.8.2
BuildRequires: npm(bootstrap-select) = 1.13.18
BuildRequires: npm(downshift) >= 5.4.2
BuildRequires: npm(downshift) < 6.0.0
BuildRequires: npm(ngreact) >= 0.5.0
BuildRequires: npm(ngreact) < 1.0.0
BuildRequires: npm(query-string) >= 6.1.0
BuildRequires: npm(query-string) < 7.0.0
BuildRequires: npm(react-bootstrap) >= 0.32.1
BuildRequires: npm(react-bootstrap) < 1.0.0
BuildRequires: npm(use-deep-compare-effect) >= 1.6.1
BuildRequires: npm(use-deep-compare-effect) < 2.0.0
# end package.json dependencies BuildRequires

%description
Content and Subscription Management plugin for Foreman.


%package doc
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Documentation for %{pkg_name}
%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}

%description doc
Documentation for %{pkg_name}.

%package assets
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Rebuild the assets for %{pkg_name}

Requires: foreman-assets >= %{foreman_min_version}
# start package.json devDependencies Requires
Requires: npm(@theforeman/builder) >= 6.0.0
# end package.json devDependencies Requires
# start package.json dependencies Requires
Requires: npm(angular) = 1.8.2
Requires: npm(bootstrap-select) = 1.13.18
Requires: npm(downshift) >= 5.4.2
Requires: npm(downshift) < 6.0.0
Requires: npm(ngreact) >= 0.5.0
Requires: npm(ngreact) < 1.0.0
Requires: npm(query-string) >= 6.1.0
Requires: npm(query-string) < 7.0.0
Requires: npm(react-bootstrap) >= 0.32.1
Requires: npm(react-bootstrap) < 1.0.0
Requires: npm(use-deep-compare-effect) >= 1.6.1
Requires: npm(use-deep-compare-effect) < 2.0.0
# end package.json dependencies Requires

%description assets
This package can be used to rebuild the assets for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}%{?prerelease}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s

for asset in bastion bastion_katello
do
  ln -s %{gem_instdir}/public/assets/${asset} %{buildroot}%{foreman_dir}/public/assets/${asset}
done

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/ca
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_instdir}/engines
%{gem_libdir}
%{gem_instdir}/locale
%{gem_instdir}/public/assets/bastion
%{gem_instdir}/public/assets/bastion_katello
%exclude %{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_assets_plugin}
%{foreman_assets_foreman}
%{foreman_dir}/public/assets/bastion
%{foreman_dir}/public/assets/bastion_katello
%{foreman_webpack_foreman}
%{foreman_webpack_plugin}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%files assets
%{gem_instdir}/package.json
%{gem_instdir}/webpack

%changelog
* Wed Jul 26 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.31-1
- BZ #2218657 - Revert JS parts of "Should not be able to assign LE on the client profile which is not synced on the capsule server"

* Mon Jul 10 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.30-1
- BZ #2218660 - "Host-Registered Content Hosts" Report gives error while generating - undefined method `nvra' for nil:NilClass
- BZ #2218653 - Unable to enable any repository in network sync
- BZ #2218657 - Should not be able to assign LE on the client profile which is not synced on the capsule server

* Tue Jun 20 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.29-1
- BZ#2216337 - Host details UI, Repository sets table contains empty column header

* Fri Jun 16 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.28-1
- BZ #2188380 - add missing SCA code

* Fri Jun 09 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.27-1
- BZ #2211964 - Bring back the option to Republish Repository\CV Version metadata from Satellite UI
- BZ #2211969 - Error generating host applied errata report (#10482)
- BZ#2213251 - Incorrect aria-label in the alternate content source details

* Tue Jun 06 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.26-1
- BZ #2211961 - When editing a host group, changing the life cycle environment automatically unsets the Media and Partition Table fields under the Operating System tab
- BZ #2188380 - [RFE] Switching on SCA should not give hosts access to new custom repositories
- BZ #2211962 - Orphan cleanup runs fine but does not clears anything from /var/lib/pulp/media/artifact of Red Hat Capsule 6.10
- BZ#2211956 - The customer can't see the .686 errata package to be installed via webUI. However, in the CH, they can see both version getting updated

* Thu May 04 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.25-1
- BZ #2190460 - Navigating to Capsules page on Satellite WebUI displays error "Pulp plugin missing for synchronizable content types: . Repositories containing these content types will not be synced." for few seconds
- BZ #2190509 - Incremental update of the content view takes long time to complete

* Thu May 04 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.24-1
- BZ #2190473 - disable scopes on CV publish errata calc

* Wed Mar 15 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.23-1
- BZ #2155911 - Add OUIA IDs to ACS edit modals

* Wed Mar 15 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.22-1
- BZ #2149893 - Some custom repositories are failing to synchorize with error "This field may not be blank" after upgrading to Red Hat Satellite 6.11

* Wed Mar 08 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.21-1
- BZ #2155221 - Add ellipsis to columns in hosts index (#10480)
- BZ #2174910 - Need to update Recommended Repositories page with Satellite 6.13 repos

* Tue Mar 07 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.19-1
- BZ #2172939 - Link from host collections and Errata page should go to new host details page
- BZ #2127998 - RHEL 9 appstream and baseos kickstart repositories not showing as recommended repositories
- BZ #2175226 - Cannot force delete repositories that are included in export content view versions

* Tue Mar 07 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.18-1
- BZ #2102078 - podman run returns Error: unexpected end of JSON input on image pulled from satellite
- BZ #2173756 - Importing incremental content not recreating metadata properly

* Thu Mar 02 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.17-1
- BZ #2160112 - Add validations for Simplified ACS update via hammer
- BZ #2159963 - ForeignKeyViolation on ACS create when invalid --ssl-* argument is provided

* Wed Mar 01 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.16-1
- BZ #2153273 - Correct the name of the new rake task

* Wed Mar 01 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.15-1
- BZ #2169866 - Exporting the Library environment incrementally fails with error "Incremental export can only be requested when there is a previous export or start_versions= has been specified."
- BZ #2163582 - Change Content Source LCE dropdown should not show multiple Library entries
- BZ #2163582 - Center-align env selector and dry out selectoption code
- BZ #2163582 - Make CV selector scrollable (#10368)

* Tue Feb 28 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.14-1
- BZ #2164026 - Link from Content Hosts should navigate to Host's Content pane/tab

* Tue Feb 28 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.13-1
- BZ #2132452 - Some more ouia-ids

* Tue Feb 21 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.12-1
- BZ #1895976 - Hammer Allows Invalid Release Version to be Set on Activation Key
- BZ #2160752 - Bulk select/deselect does not work properly on paginated ACS page
- BZ #2168258 - saving alternative content source is possible, even if IP instead of fqdn is specified and red warning is present
- BZ #2153273 - Subscription can't be blank, A Pool and its Subscription cannot belong to different organizations
- BZ #2168168 - Installable errata from Content View setting must be set to True

* Tue Feb 14 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.11-1
- BZ #2143497 - Can't perform incremental content exports in syncable format
- BZ #2159967 - Add some validation for name in Simplified ACS creation via hammer
- BZ #2162129 - Add validations for RHUI ACS create and update
- BZ #2161776 - Subscriptions page - 'Import a Manifest' button displays when a blank manifest is imported
- BZ #1952529 - Package and Errata actions on content hosts selected using the "select all hosts" option fails.

* Mon Feb 06 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.9-1
- BZ #2166966 - Candlepin 4.2.13 changes [:content][:id] to ['contentId']

* Wed Feb 01 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.8-1
- BZ #2158614 - deleting of products after a content export sometimes ends up in a candlepin error
- BZ #2149893 - Some custom repositories are failing to synchorize with error "This field may not be blank" after upgrading to Red Hat Satellite 6.11
- BZ #2132452 - Missing ouia-id for content view
- BZ #2160264 - delete orphans task does not remove pulp3 remotes from capsules when removing repositories

* Tue Jan 31 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.7-1
- BZ #2151838 - Add RHEL to filtered module stream tab
- BZ #2147579 - CV publish error when host tied to content facet is not found

* Wed Jan 25 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.5-1
- BZ #2159776 - Unable to change download_policy to on_demand if the Red Hat Repository has any checksum_type set in Satellite

* Tue Jan 24 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.4-1
- BZ #2163457 - Fix orphan delete

* Tue Jan 24 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.3-1
- BZ #2151935 - UX on change content source page is ambiguous
- BZ #2159974 - Unable to disable SCA for an organization without manifest using API

* Tue Jan 17 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.2-1
- BZ #2139545 - Registration error: PG::UniqueViolation: ERROR:  duplicate key value violates unique constraint "katello_available_module_streams_name_stream_context"

* Thu Jan 05 2023 jenkins <satellite-delivery@redhat.com> - 4.7.0.1-1
- BZ #1837767 - Errata search filtered with ID does not work in Web UI
- BZ #1990790 - [RFE] add possibility to resize bookmarks dropdown menu
- BZ #2126372 - Refreshing ACS with --name instead of --id fails with "Error: Found more than one alternate_content_source."
- BZ #2133615 - Content view filter included errata not in the filter date range
- BZ #2151333 - Mirror complete sync policy no longer allowed with ignored content types in the repo.
- BZ #2145240 - Upgrade to Satellite 6.12 may fail to apply RemoveDrpmFromIgnorableContent migration if erratum is also a ignorable content type for any repo
- BZ #2139441 - Improve empty state design when a host has applicable errata but no installable errata
- BZ #2155911 - Audit ouia-ids for ACS UI
- BZ #2142720 - Duplicate RepositorySet when manifest updated.

* Wed Dec 14 2022 Patrick Creech <pcreech@redhat.com> - 4.7.0-1
- Release rubygem-katello 4.7.0

* Wed Nov 30 2022 Patrick Creech <pcreech@redhat.com> - 4.7.0-0.6.rc2
- Release rubygem-katello 4.7.0rc2

* Thu Nov 10 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 4.7.0-0.6.rc1
- Release rubygem-katello 4.7.0rc1

* Wed Oct 26 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 4.7.0-0.6.pre.master
- Update Gem and NPM dependencies

* Mon Oct 3 2022 Ian Ballou <ianballou67@gmail.com> 4.7.0-0.5.pre.master
- Bump pulp_python_client requirement to be higher than 3.7.1 but lower then 3.8.0

* Wed Aug 31 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 4.7.0-0.4.pre.master
- Update Gem and NPM dependencies

* Fri Aug 26 2022 Evgeni Golov - 4.7.0-0.3.pre.master
- Don't ship the vendor dir, it's only need during build

* Mon Aug 22 2022 Evgeni Golov - 4.7.0-0.2.pre.master
- Fixes #35409 - symlink legacy katello assets from foreman assets

* Mon Aug 15 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 4.7.0-0.1.pre.master
- Update to version 4.7

* Thu Jun 16 2022 Ian Ballou <ianballou67@gmail.com> 4.6.0-0.3.pre.master
- Bump pulp_ansible_client requirement to at least 0.13.1 but not more than 0.14

* Wed May 18 2022 Ian Ballou <ianballou67@gmail.com> 4.6.0-0.2.pre.master
- Bump pulpcore_client requirement to 3.18

* Thu May 12 2022 Partha Aji <paji@redhat.com> 4.6.0-0.1.pre.master
- bump to 4.6

* Mon May 02 2022 Quirin Pamp - 4.5.0-0.5.pre.master
- Update katello's pulp_deb GEM dependency

* Thu Apr 28 2022 Evgeni Golov - 4.5.0-0.4.pre.master
- Update katello GEM dependencies

* Fri Apr 22 2022 Eric D. Helms <ericdhelms@gmail.com> - 4.5.0-0.3.pre.master
- Stop generaing apipie cache

* Mon Feb 28 2022 Justin Sherrill <jsherril@redhat.com> 4.5.0-0.2.pre.master
- update to pulp-rpm 3.17

* Wed Feb 16 2022 Justin Sherrill <jsherril@redhat.com> 4.5.0-0.1.pre.master
- bump for 4.5

* Thu Nov 18 2021 Ian Ballou <ianballou67@gmail.com> 4.4.0-0.2.pre.master
- updates to pulpcore 3.16 client bindings

* Wed Nov 17 2021 Chris Roberts <chrobert@redhat.com> 4.4.0-0.1.pre.master
- 4.4.0 version bump

* Tue Oct 19 2021 Justin Sherrill <jsherril@redhat.com> 4.3.0-0.5.pre.master
- updates to pulpcore 3.15 client bindings

* Tue Sep 28 2021 Justin Sherrill <jsherril@redhat.com> 4.3.0-0.4.pre.master
- match dynflow requires at 1.6.1, add pulp_ostree_client

* Mon Sep 27 2021 Justin Sherrill <jsherril@redhat.com> 4.3.0-0.3.pre.master
- bump bootstrap-select requires

* Thu Sep 02 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 4.3.0-0.2.pre.master
- Update Gem and NPM dependencies

* Mon Aug 09 2021 Justin Sherrill <jsherril@redhat.com> 4.3.0-0.1.pre.master
- 4.3.0 version bump

* Fri Jul 23 2021 Evgeni Golov - 4.2.0-0.4.pre.master
- Update Foreman version

* Thu Jul 08 2021 Evgeni Golov - 4.2.0-0.3.pre.master
- Update gem dependencies

* Mon Jul 05 2021 Evgeni Golov - 4.2.0-0.2.pre.master
- Update gem and npm dependencies

* Thu May 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 4.2.0-0.1.pre.master
- Update to 4.2.0

* Tue Apr 27 2021 Quirin Pamp <pamp@atix.de> 4.1.0-0.9.pre.master
- Update Katello's pulp_deb_client requirement to 2.11

* Mon Apr 12 2021 ianballou <ianballou67@gmail.com> 4.1.0-0.8.pre.master
- Update Katello's pulp_rpm_client requirement to 3.10.0

* Thu Apr 08 2021 Justin Sherrill <jsherril@redhat.com> 4.1.0-0.7.pre.master
- pulpcore 3.11 upgrade

* Mon Mar 15 2021 Eric D. Helms <ericdhelms@gmail.com> - 4.1.0-0.6.pre.master
- Rebuild for Ruby 2.7

* Fri Mar 12 2021 Eric D. Helms <ericdhelms@gmail.com> - 4.1.0-0.5.pre.master
- Relax Ruby requirements

* Wed Feb 24 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 4.1.0-0.4.pre.master
- Update Gem and NPM dependencies

* Mon Feb 15 2021 Justin Sherrill <jsherril@redhat.com> 4.1.0-0.3.pre.master
- upgrade to newer migration client gem

* Thu Feb 4 2021 Jonathon Turel - 4.1.0-0.2.pre.master
- Add qpid_proton dependency

* Thu Feb 04 2021 Eric D. Helms <ericdhelms@gmail.com> - 4.1.0-0.1.pre.master
- Bump version to 4.1.0

* Mon Jan 11 2021 Ian Ballou <ianballou67@gmail.com> - 4.0.0-0.3.pre.master
- Update Pulp 3 client bindings requirements

* Mon Nov 23 2020 Evgeni Golov - 4.0.0-0.2.pre.master
- Update @theforeman/builder dependency

* Wed Nov 04 2020 Jonathon Turel <jturel@gmail.com> 4.0.0-0.1.pre.master
- Add pulp_deb_client dependencies
- Bump version to 4.0.0

* Thu Oct 15 2020 Ian Ballou <ianballou67@gmail.com> 3.18.0-0.5.pre.master
- update pulp 3 client requires

* Fri Sep 11 2020 Justin Sherrill <jsherril@redhat.com> 3.18.0-0.4.pre.master
- update pulp_ansible_client requires

* Wed Sep 09 2020 Evgeni Golov - 3.18.0-0.3.pre.master
- Update GEM dependencies

* Tue Sep 01 2020 Evgeni Golov - 3.18.0-0.2.pre.master
- Update GEM dependencies

* Tue Aug 11 2020 Eric D. Helms <ericdhelms@gmail.com> - 3.18.0-0.1.pre.master
- Bump to 3.18.0

* Tue Aug 04 2020 Justin Sherrill <jsherril@redhat.com> 3.17.0-0.1.pre.master
- update version to 3.17.0
- pulp_rpm 3.5 support
- add remote_execution dep
- Disable autorequires to prevent rich dependency auto-creation on EL8
- Add pulp_certguard_client
- Drop Requires on katello-selinux

* Wed May 06 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.16.0-0.13.pre.master
- Update foreman version bounds

* Mon May 04 2020 Justin Sherrill <jsherril@redhat.com> 3.16.0-0.12.pre.master
- Update to pulp 3.3 bindings

* Fri May 01 2020 Eric D. Helms <ericdhelms@gmail.com> - 3.16.0-0.11.pre.master
- Add fx to build requires

* Fri Apr 17 2020 Jonathon Turel <jturel@gmail.com> 3.16.0-0.10.pre.master
- Replace qpid_messaging with stomp

* Thu Apr 16 2020 Jonathon Turel <jturel@gmail.com> 3.16.0-0.9.pre.master
- Adjust angular-rails-templates version

* Mon Apr 13 2020 ianballou <ianballou67@gmail.com> 3.16.0-0.8.pre.master
- Add fx gem as a dependency

* Tue Apr 07 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.16.0-0.7.pre.master
- Update Gem and NPM dependencies

* Wed Apr 01 2020 Justin Sherrill <jsherril@redhat.com> 3.16.0-0.6.pre.master
- Update angular dep

* Wed Apr 01 2020 Evgeni Golov - 3.16.0-0.5.pre.master
- correct BuildRequires for new pulp gems

* Thu Mar 26 2020 Samir Jha <sajha@redhat.com> 3.16.0-0.4.pre.master
- Update pulp gem requirements

* Thu Feb 20 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.16.0-0.3.pre.master
- Update Gem and NPM dependencies

* Wed Feb 19 2020 Justin Sherrill <jsherril@redhat.com> 3.16.0-0.2.pre.master
- Update pulp_2to3_migration requirement

* Thu Feb 13 2020 James Jeffers <jjeffers@redhat.com> - 3.16.0-0.1.pre.master
- Bump version to 3.16

* Wed Jan 29 2020 Justin Sherrill <jlsherrill@gmail.com> - 3.15.0-0.6.pre.master
- Restrict pulp client gems

* Fri Jan 17 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.15.0-0.5.pre.master
- Update spec to remove the ror scl

* Wed Dec 18 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.15.0-0.4.pre.master
- Update Gem and NPM dependencies

* Wed Nov 27 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.15.0-0.3.pre.master
- Update Gem and NPM dependencies

* Mon Nov 18 2019 Evgeni Golov - 3.15.0-0.2.pre.master
- Unify prerelease macro handling

* Fri Nov 01 2019 Jonathon Turel <jturel@gmail.com> - 3.15.0-0.1.pre.master
- Bump to 3.15.0

* Tue Oct 22 2019 Eric D. Helms <ericdhelms@gmail.com> - 3.14.0-0.4.pre.master
- Update requires on nodejs packages

* Sun Oct 06 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.14.0-0.3.pre.master
- Update Gem and NPM dependencies

* Mon Aug 26 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.14.0-0.2.pre.master
- Update Gem and NPM dependencies

* Wed Aug 07 2019 Evgeni Golov - 3.14.0-0.1.pre.master
- Bump version to 3.14

* Tue Jul 23 2019 Evgeni Golov - 3.13.0-0.7.pre.master
- Update katello packaging to @theforeman/vendor bundle

* Thu Jul 11 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.13.0-0.6.pre.master
- Update Gem and NPM dependencies

* Mon Jul 01 2019 Justin Sherrill <jlsherrill@gmail.com> 3.13.0-0.5.pre.master
- add pulp_ansible_client requirement

* Wed Jun 12 2019 Justin Sherrill <jlsherrill@gmail.com> - 3.13.0-0.4.pre.master
- update pulp_file_client requirement

* Mon Jun 10 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.13.0-0.3.pre.master
- Update gem and NPM dependencies

* Tue May 14 2019 Justin Sherrill <jlsherrill@gmail.com> - 3.13.0-0.2.pre.master
- pull in new pulp3 gem dependencies

* Thu Apr 25 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.13.0-0.1.pre.master
- Bump version to 3.13

* Mon Apr 15 2019 Ondrej Prazak <oprazak@redhat.com> - 3.12.0-0.8.pre.master
- Remove foreman_docker as a dependency

* Tue Apr 02 2019 Eric D. Helms <ericdhelms@gmail.com> - 3.12.0-0.7.pre.master
- Properly obsolete bastion

* Tue Apr 2 2019 Tomer Brisker- 3.12.0-0.6.pre.master
- Add zest dependency

* Fri Mar 29 2019 Justin Sherrill - 3.12.0-0.5.pre.master
- Remove bastion

* Fri Mar 15 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.12.0-0.4.pre.master
- Update gem and NPM dependencies

* Thu Feb 7 2019 Justin Sherrill <jlsherrill@gmail.com> - 3.12.0-0.3.pre.master
- Require activerecord-import

* Wed Jan 23 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.12.0-0.2.pre.master
- Update gem dependencies

* Wed Jan 16 2019 Eric D. Helms <ericdhelms@gmail.com> - 3.12.0-0.1.pre.master
- Bump version to 3.12

* Wed Jan 09 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.11.0-0.2.pre.master
- Update NPM dependencies

* Fri Nov 30 2018 Eric D. Helms <ericdhelms@gmail.com> - 3.11.0-0.1.pre.master
- Bump version to 3.11

* Wed Oct 31 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.10.0-0.4.pre.master
- Stop removing JS source maps

* Thu Oct 25 2018 Adam Price <komidore64@gmail.com> - 3.10.0-0.3.pre.master
- add nightly macro

* Wed Oct 24 2018 Adam Price <komidore64@gmail.com> - 3.10.0-0.2.pre.master
- set prerelease to .pre.master

* Thu Oct 18 2018 Eric D. Helms <ericdhelms@gmail.com> - 3.10.0-1
- Bump version to 3.10

* Thu Oct 11 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.9.0-6
- Update NPM dependencies
- Exclude Javascript source maps

* Mon Sep 17 2018 Eric D. Helms <ericdhelms@gmail.com> - 3.9.0-5
- Add nodejs-query-string as a dependency

* Thu Sep 13 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.9.0-4
- Update NPM dependencies

* Tue Sep 11 2018 Eric D. Helms <ericdhelms@gmail.com> - 3.9.0-3
- Update dependencies

* Tue Jul 24 2018 Eric D. Helms <ericdhelms@gmail.com> - 3.9.0-2
- Add prerelease macro support

* Wed Jul 18 2018 Eric D. Helms <ericdhelms@gmail.com> 3.9.0-1.nightly
- Bump to 3.9

* Wed Jun 6 2018 Eric D. Helms <ericdhelms@gmail.com> 3.8.0-1.nightly
- Switch Katello to 3.8
